#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""contains a dictionary of language names, based on the iso code"""

# Copyright 2002, 2003 St James Software
# 
# This file is part of jToolkit.
#
# jToolkit is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# jToolkit is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jToolkit; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

languagenames = {
  'ab': 'Abkhazian',
  'aa': 'Afar',
  'af': 'Afrikaans',
  'am': 'Amharic',
  'ar': 'Arabic',
  'as': 'Assamese',
  'ast': 'Asturian',
  'ay': 'Aymara',
  'az': 'Azerbaijani',
  'ba': 'Bashkir',
  'be': 'Belarusian',
  'bg': 'Bulgarian',
  'bh': 'Bihari',
  'bi': 'Bislama',
  'bo': 'Tibetan',
  'br': 'Breton',
  'bs': 'Bosnian',
  'bn': 'Bengali',
  'ca': 'Catalan',
  'co': 'Corsican',
  'cs': 'Czech',
  'cy': 'Welsh',
  'da': 'Danish',
  'de': 'German',
  'dz': 'Bhutani',
  'el': 'Greek',
  'en': 'English',
  'eo': 'Esperanto',
  'es': 'Spanish',
  'et': 'Estonian',
  'eu': 'Basque',
  'fa': 'Farsi',
  'fi': 'Finnish',
  'fo': 'Faeroese',
  'fr': 'French',
  'ga': 'Irish',
  'gd': 'Scots Gaelic',
  'gl': 'Galician',
  'gn': 'Guarani',
  'gu': 'Gujarati',
  'ha': 'Hausa',
  'he': 'Hebrew',
  'hi': 'Hindi',
  'hr': 'Croatian',
  'hu': 'Hungarian',
  'hy': 'Armenian',
  'ia': 'Interlingua',
  'ie': 'Interlingue',
  'id': 'Indonesian',
  'ik': 'Inupiak',
  'in': 'Indonesian',
  'is': 'Icelandic',
  'it': 'Italian',
  'ji': 'Yiddish',
  'ja': 'Japanese',
  'jw': 'Javanese',
  'ka': 'Georgian',
  'kk': 'Kazakh',
  'km': 'Cambodian',
  'kl': 'Greenlandic',
  'kn': 'Kannada',
  'ko': 'Korean',
  'ks': 'Kashmiri',
  'ku': 'Kurdish',
  'ky': 'Kirghiz',
  'la': 'Latin',
  'ln': 'Lingala',
  'lo': 'Laothian',
  'lt': 'Lithuanian',
  'lv': 'Latvian',
  'mg': 'Malagasy',
  'mi': 'Maori',
  'mk': 'Macedonian',
  'ml': 'Malayalam',
  'mn': 'Mongolian',
  'mo': 'Moldavian',
  'mr': 'Marathi',
  'ms': 'Malay',
  'mt': 'Maltese',
  'my': 'Burmese',
  'na': 'Nauru',
  'ne': 'Nepali ',
  'nl': 'Dutch',
  'nb': 'Norwegian Bokm\u00e5l',
  'nn': 'Norwegian Nynorsk',
  'no': 'Norwegian',
  'oc': 'Occitan',
  'om': 'Oromo',
  'or': 'Oriya',
  'pa': 'Punjabi',
  'pl': 'Polish',
  'ps': 'Pashto',
  'pt': 'Portuguese',
  'qu': 'Quechua',
  'rm': 'Rhaeto-Romanic',
  'rn': 'Kirundi',
  'ro': 'Romanian',
  'ru': 'Russian',
  'sa': 'Sanskrit',
  'sb': 'Sorbian',
  'sd': 'Sindhi',
  'sg': 'Sangro',
  'sh': 'Serbo-Croatian',
  'si': 'Singhalese',
  'sk': 'Slovak',
  'sl': 'Slovenian',
  'sm': 'Samoan',
  'sn': 'Shona',
  'so': 'Somali',
  'sq': 'Albanian',
  'sr': 'Serbian',
  'ss': 'Siswati',
  'st': 'Sesotho',
  'su': 'Sudanese',
  'sv': 'Swedish',
  'sw': 'Swahili',
  'sx': 'Sutu',
  'ta': 'Tamil',
  'te': 'Telugu',
  'tg': 'Tajik',
  'th': 'Thai',
  'ti': 'Tigrinya',
  'tk': 'Turkmen',
  'tl': 'Tagalog',
  'tn': 'Tswana',
  'to': 'Tonga',
  'tr': 'Turkish',
  'ts': 'Tsonga',
  'tt': 'Tatar',
  'tw': 'Twi',
  'uk': 'Ukrainian',
  'ur': 'Urdu',
  'uz': 'Uzbek',
  'vi': 'Vietnamese',
  'vo': 'Volapuk',
  'wo': 'Wolof',
  'xh': 'Xhosa',
  'x-kok': 'Konkani',
  'yi': 'Yiddish',
  'yo': 'Yoruba',
  'zh': 'Chinese',
  'zu': 'Zulu'
  }

